- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# QImageWriter Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qimagewriter.h.

`#include <qimagewriter.h>`

List of all members.

## Public Types
enum | ImageWriterError { UnknownError, DeviceError, UnsupportedFormatError }
## Public Member Functions
| QImageWriter ()
| QImageWriter (QIODevice *device, const QByteArray &format)
| QImageWriter (const QString &fileName, const QByteArray &format=QByteArray())
| ~QImageWriter ()
void | setFormat (const QByteArray &format)
QByteArray | format () const
void | setDevice (QIODevice *device)
QIODevice * | device () const
void | setFileName (const QString &fileName)
QString | fileName () const
void | setQuality (int quality)
int | quality () const
void | setCompression (int compression)
int | compression () const
void | setGamma (float gamma)
float | gamma () const
void | setDescription (const QString &description)
QString | description () const
void | setText (const QString &key, const QString &text)
bool | canWrite () const
bool | write (const QImage &image)
ImageWriterError | error () const
QString | errorString () const
bool | supportsOption (QImageIOHandler::ImageOption option) const
## Static Public Member Functions
static QList< QByteArray > | supportedImageFormats ()

## Member Enumeration Documentation

enum ImageWriterError

Search for all occurrences

Enumerator:

  UnknownError | Search for all occurrences
  DeviceError | Search for all occurrences
  UnsupportedFormatError | Search for all occurrences

Definition at line 62 of file qimagewriter.h.

                              {
            UnknownError,
            DeviceError,
            UnsupportedFormatError
        };

## Constructor & Destructor Documentation

QImageWriter | ( |  | ) |

QImageWriter | ( | QIODevice * | device,
|  | const QByteArray & | format
| ) |  | `[explicit]`

QImageWriter | ( | const QString & | fileName,
|  | const QByteArray & | format = `QByteArray()`
| ) |  | `[explicit]`

~QImageWriter | ( |  | ) |

## Member Function Documentation

void setFormat | ( | const QByteArray & | format | ) |

Search for all occurrences

QByteArray format | ( |  | ) | const

Search for all occurrences

void setDevice | ( | QIODevice * | device | ) |

Search for all occurrences

QIODevice* device | ( |  | ) | const

Search for all occurrences

void setFileName | ( | const QString & | fileName | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

void setQuality | ( | int | quality | ) |

Search for all occurrences

int quality | ( |  | ) | const

Search for all occurrences

void setCompression | ( | int | compression | ) |

Search for all occurrences

int compression | ( |  | ) | const

Search for all occurrences

void setGamma | ( | float | gamma | ) |

Search for all occurrences

float gamma | ( |  | ) | const

Search for all occurrences

void setDescription | ( | const QString & | description | ) |

Search for all occurrences

QString description | ( |  | ) | const

Search for all occurrences

void setText | ( | const QString & | key,
|  | const QString & | text
| ) |  |

Search for all occurrences

bool canWrite | ( |  | ) | const

Search for all occurrences

bool write | ( | const QImage & | image | ) |

Search for all occurrences

ImageWriterError error | ( |  | ) | const

Search for all occurrences

QString errorString | ( |  | ) | const

Search for all occurrences

bool supportsOption | ( | QImageIOHandler::ImageOption | option | ) | const

Search for all occurrences

static QList<QByteArray> supportedImageFormats | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qimagewriter.h

QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter
QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter QImageWriter